Can not debug if plugin make subprocess call

Issue #7 new
Eugen Konkov
created an issue
[rsub] New connection from ('127.0.0.1', 39989)
Traceback (most recent call last):
  File "./subprocess.py", line 525, in call
  File "./subprocess.py", line 1538, in wait
  File "./subprocess.py", line 1495, in _try_wait
  File "./subprocess.py", line 479, in _eintr_retry_call
  File "./subprocess.py", line 479, in _eintr_retry_call
  File "/usr/lib/python2.7/dist-packages/rpdb2.py", line 6444, in profile
    def profile(self, frame, event, arg): 
  File "/usr/lib/python2.7/dist-packages/rpdb2.py", line 13646, in signal_handler
    return handler(signum, frameobj)
TypeError: 'NoneType' object is not callable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/kes/.config/sublime-text-3/Packages/rsub/rsub.py", line 205, in on_done
    bring_to_front()
  File "/home/kes/.config/sublime-text-3/Packages/rsub/rsub.py", line 44, in bring_to_front
    subprocess.call("wmctrl -xa '%s'" % WINDOW_HANDLE, shell=True)
  File "./subprocess.py", line 527, in call
  File "./subprocess.py", line 1767, in kill
  File "./subprocess.py", line 1757, in send_signal
ProcessLookupError: [Errno 3] No such process

Comments (1)

  1. Log in to comment